	PROGRAM TEST9
	dimension X(512),Y(512),IBUF(30),ARRAY(10),timadr(2)
	DO 10 I=1,512
	X(I)=FLOAT(I)*2
	Y(I)=FLOAT(I)*4
10	CONTINUE
	CALL BOUNDS(1,Y,YMAX,YMIN,512,0,0,0)
	CALL GRAPHS(IBUF,227,X,Y,512,YMIN,0)
	CALL BOUNDS(1,X,XMAX,XMIN,512,0,0,0)
	RANGE=(XMAX-XMIN)
	MODE=1
	call vthtxt(8,23,1,' Now place 10 graph markers ')
15	DO 20 I=1,10
	SPOT=(FLOAT(I)/10.)*RANGE+XMIN
	CALL SLEEP(2)
20	CALL GRMARK(IBUF,SPOT,MODE,0)
	CALL SLEEP(2)
	IF(MODE.EQ.0)GOTO 30
	MODE=0
	call vthtxt(8,23,1,' And take them away, again ')
	GOTO 15
30	call vtclr
	CALL EXIT
	END

